Subject: bug#23486: 25.0.93; Modules: features missing from make_function

From: Philipp Stephani <[email-masked]>
Date: Sun, 13 Sep 2020 11:44:18 +0200

Am Sa., 5. Sept. 2020 um 15:59 Uhr schrieb Lars Ingebrigtsen <[email-masked]>:
>
> [email-masked] writes:
>
> > Philipp Stephani <[email-masked]> writes:
> >
> >> This is now done (commit
> >> 31fded0370c3aa6d2c4370cae21cdb7475873483). This fixes (1) through
> >> (3). (4) through (6) are still open. That's probably OK if the
> >> limitations are documented; modules can always do the equivalent of
> >> (eval ' (defun ...)) to get complete support.
> >
> > Lisp_Subr's have an intspec field (4), but I agree it's not really
> > essential.  As I think you mentioned in the OP, supporting `declare' (5)
> > is not doable by definition (because the effects of 'declare' operate on
> > the symbol, not the function object).
> >
> > Docstrings containing null or non-Unicode characters (6) just seems
> > completely pointless to me.  Are there any cases using that capability
> > in Emacs (or outside Emacs)?  I would probably consider them as bugs.
>
> This was the final message in this thread.  Philipp's patch fixed the
> main problems, and (5) and (6) doesn't sound like something that
> can/should be fixed.  Which leaves (4), which didn't seem essential,
> either.
>
> So is there more to be done here, or should this bug report be closed?
>

I'd still like to fix (4), just for completeness's sake. How about
introducing {get,set}_interactive_spec, just like
{get,set}_function_finalizer?